#ifndef PAYLOADFORMATTER_H
#define PAYLOADFORMATTER_H
#include <math.h>
#include "RTClib.h" //Nécessaire afin d'utiliser l'object DateTime

class PayloadFormatter
{
  public:
    PayloadFormatter(uint8_t numOfRow, uint8_t numOfColumn);
    ~PayloadFormatter();

    int16_t buildPayload(uint8_t **buffer, DateTime *dateTime, double *tempArray);
    void startSession(uint8_t totalPackets);
    boolean endSession();
    
  protected:
  private:
  
    uint8_t _totalPayloads;
    uint8_t _currentPayload;
    uint8_t _numOfRow;
    uint8_t _numOfColumn;
    uint8_t *_payload;
    uint8_t _length;
};

#endif //PAYLOADFOMATTER_H
